Skip to main content
GET
/
datasources
/
mx
/
company-verification
/
reports
/
{reportId}
/
found-entities
/
{foundEntityId}
/
powers-timeline
Get a found entity's powers timeline
curl --request GET \
  --url https://api.syntage.com/datasources/mx/company-verification/reports/{reportId}/found-entities/{foundEntityId}/powers-timeline \
  --header 'X-API-Key: <api-key>'
{
  "@context": "/contexts/FoundEntityPowerTimelineEntry",
  "@id": "/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678/found-entities/82bc6789-2345-6789-abcd-ef0123456789/powers-timeline",
  "@type": "hydra:Collection",
  "hydra:member": [
    {
      "id": "55ef5678-5678-9012-def0-234567890123",
      "date": "2020-01-15T00:00:00+00:00",
      "action": "granted",
      "documentSource": "rpc",
      "documentNumber": "12345",
      "@id": "/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678/found-entities/82bc6789-2345-6789-abcd-ef0123456789/powers-timeline/55ef5678-5678-9012-def0-234567890123",
      "power": "administrative_acts",
      "expirationDate": "2023-11-07T05:31:56Z",
      "expirationSource": "<string>",
      "documentGrantingState": "<string>",
      "referenceExternal": false,
      "referenceText": "<string>",
      "referenceDocumentNumber": "<string>",
      "exerciseJointlyWith": "<string>",
      "exerciseJointlyRequired": false,
      "exerciseSubstitutionAllowed": false,
      "exerciseLimitations": "<string>"
    }
  ],
  "hydra:totalItems": 1,
  "hydra:view": {
    "@id": "<string>",
    "@type": "hydra:PartialCollectionView",
    "hydra:first": "<string>",
    "hydra:next": "<string>",
    "hydra:last": "<string>"
  },
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

reportId
string<uuid>
required

Identifier of the Company Verification report.

foundEntityId
string<uuid>
required

Identifier of the found entity inside the report.

Query Parameters

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000

Response

Found Entity Powers Timeline

@context
string
default:/contexts/FoundEntityPowerTimelineEntry
@id
string
Example:

"/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678/found-entities/82bc6789-2345-6789-abcd-ef0123456789/powers-timeline"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:totalItems
integer

Total number of items found

Required range: x >= 0
Example:

1

hydra:view
object

Pagination information